From cb4ae0b5e391837664e80e8835ff6d63233c4a32 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 29 Jan 2019 05:55:21 -0300
Subject: [PATCH 2/2] move strat nums to stratnum.h

---
 src/backend/commands/publicationcmds.c | 2 +-
 src/backend/utils/sort/tuplesort.c     | 2 +-
 src/include/access/hash.h              | 6 ------
 src/include/access/stratnum.h          | 7 +++++++
 4 files changed, 9 insertions(+), 8 deletions(-)

diff --git a/src/backend/commands/publicationcmds.c b/src/backend/commands/publicationcmds.c
index eb9a093ea0..544424d134 100644
--- a/src/backend/commands/publicationcmds.c
+++ b/src/backend/commands/publicationcmds.c
@@ -18,8 +18,8 @@
 #include "miscadmin.h"
 
 #include "access/genam.h"
-#include "access/hash.h"
 #include "access/htup_details.h"
+#include "access/stratnum.h"
 #include "access/table.h"
 #include "access/xact.h"
 
diff --git a/src/backend/utils/sort/tuplesort.c b/src/backend/utils/sort/tuplesort.c
index 7b10fd2974..2946b47b46 100644
--- a/src/backend/utils/sort/tuplesort.c
+++ b/src/backend/utils/sort/tuplesort.c
@@ -96,9 +96,9 @@
 
 #include <limits.h>
 
+#include "access/hash.h"
 #include "access/htup_details.h"
 #include "access/nbtree.h"
-#include "access/hash.h"
 #include "catalog/index.h"
 #include "catalog/pg_am.h"
 #include "commands/tablespace.h"
diff --git a/src/include/access/hash.h b/src/include/access/hash.h
index 4939b101f1..117d2f2efe 100644
--- a/src/include/access/hash.h
+++ b/src/include/access/hash.h
@@ -323,12 +323,6 @@ typedef HashMetaPageData *HashMetaPage;
 #define HASH_NOLOCK		(-1)
 
 /*
- *	Strategy number. There's only one valid strategy for hashing: equality.
- */
-#define HTEqualStrategyNumber			1
-#define HTMaxStrategyNumber				1
-
-/*
  * When a new operator class is declared, we require that the user supply
  * us with an amproc function for hashing a key of the new type, returning
  * a 32-bit hash value.  We call this the "standard" hash function.  We
diff --git a/src/include/access/stratnum.h b/src/include/access/stratnum.h
index 8fdba2884b..65b5223641 100644
--- a/src/include/access/stratnum.h
+++ b/src/include/access/stratnum.h
@@ -34,6 +34,13 @@ typedef uint16 StrategyNumber;
 
 #define BTMaxStrategyNumber				5
 
+/*
+ *	Strategy numbers for hash indexes. There's only one valid strategy for
+ *	hashing: equality.
+ */
+#define HTEqualStrategyNumber			1
+
+#define HTMaxStrategyNumber				1
 
 /*
  * Strategy numbers common to (some) GiST, SP-GiST and BRIN opclasses.
-- 
2.11.0

